| Home | Libraries | People | FAQ | More

##### remove_copy

###### Prototype

    template<class ForwardRange, class Outputiterator, class Value>
    OutputIterator
    remove_copy(ForwardRange& rng, OutputIterator out, const Value& val);

    template<class ForwardRange, class OutputIterator, class Value>
    OutputIterator
    remove_copy(const ForwardRange& rng, OutputIterator out, const Value& val);

###### Description

`remove_copy` copied all of the elements `x` from `rng` for which `x == val` is `false`.

###### Definition

Defined in the header file `boost/range/algorithm/remove_copy.hpp`

###### Requirements

- `ForwardRange` is a model of the Forward Range Concept.
- `ForwardRange` is mutable.
- `Value` is a model of the `EqualityComparableConcept`.
- Objects of type `Value` can be compared for equality with objects of `ForwardRange`'s value type.

###### Complexity

Linear. `remove_copy` performs exactly `distance(rng)` comparisons for equality.